import { NativeModules, Platform } from 'react-native';
const LINKING_ERROR = `The package 'react-native-contact-picker-ios' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const ContactPickerSingle = NativeModules.ContactPickerSingle ? NativeModules.ContactPickerSingle : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
const ContactPickerMulti = NativeModules.ContactPickerMulti ? NativeModules.ContactPickerMulti : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
export function pickSingleContact() {
  return ContactPickerSingle.open();
}
export function pickMultipleContacts() {
  return ContactPickerMulti.open();
}
//# sourceMappingURL=index.js.map