import { NativeModules, Platform } from 'react-native';

const LINKING_ERROR =
  `The package 'react-native-contact-picker-ios' doesn't seem to be linked. Make sure: \n\n` +
  Platform.select({ ios: "- You have run 'pod install'\n", default: '' }) +
  '- You rebuilt the app after installing the package\n' +
  '- You are not using Expo Go\n';

const ContactPickerSingle = NativeModules.ContactPickerSingle
  ? NativeModules.ContactPickerSingle
  : new Proxy(
      {},
      {
        get() {
          throw new Error(LINKING_ERROR);
        },
      }
    );

const ContactPickerMulti = NativeModules.ContactPickerMulti
  ? NativeModules.ContactPickerMulti
  : new Proxy(
      {},
      {
        get() {
          throw new Error(LINKING_ERROR);
        },
      }
    );

export type ReactNativeContactPickerIosContactType = {
  image: string;
  image_thumbnail: string;
  name: string;
  phone_number: string;
};

export function pickSingleContact(): Promise<
  ReactNativeContactPickerIosContactType | undefined
> {
  return ContactPickerSingle.open();
}

export function pickMultipleContacts(): Promise<
  ReactNativeContactPickerIosContactType[]
> {
  return ContactPickerMulti.open();
}
